'use strict';

module.exports = {
  name: 'mainSystem',
  title: 'ROOT',
  vuex: true,
  model:[
    {
      isRule: false,
      title: '获取网站风格',
      path: '/api/system/setting',
      state: 'webSetting',
      disabled: true,
      resultKey: 'result',
    },
    {
      isRule: false,
      title: '获取用户权限',
      path: '/api/company-admin/permission/list',
      state: 'webUserRoles',
      prefix: 'permission',
      isCallback: 'callback',
      params: {
        'gonghuii-token': ['超级后台获取用户登录token','String','必填'],
      },
      disabled: true,
      resultKey: 'result',
    },
    {
      isRule: false,
      title: '获取阿里OSS上传相关参数',
      path: '/api/admin/common/create-upload-sign',
      params: {
        type: ['上传桶名称，其值：public，private', 'String', '选填', 'public'],
        name: ['上传文件文件名字', 'String', '必填']
      },
      disabled: true,
      resultKey: 'result',
    },
  ],
}
